# Design Document

## Theme

The theme for the [fedijam](https://itch.io/jam/fedi-jam) is "Up in the Clouds"

## Objective

Create a functional game that is a binary for Linux, Windows, Mac, and maybe FreeBSD if we have extra time

Finished product would be a game with a defined ending or endings, and at minimum, 50 encounters

## Deliverables

- Binaries
- Flowchart
- Game Engine
- Game Data
- Save State
- Instruction Manual

## The Plan

1. Initial engine development
2. Sample encounters and testing
3. Later engine development based on insights
4. Style Guide
5. Write encounters for full game
6. Compile to binaries
7. Figure out a License

## The Engine

The game engine needs to do the following:

- Read game data
- Read and write to a save state
- Accept user input

## Encounter

Player is met with a scenario, and presented with options for how to deal with it.

## Glossary

### Encounter

A scenario and a list of choices; the building-block of the game

### Choice

A decision that the player makes in order to progress the game, or possibly set them back.

*some choices may have prerequisites*

*some choices may be absurd (and absurdly funny!)*

### Scenario

A block of text explaining the present situation

### Goal

Defines victory for the player, should ideally be explained at the very beginning in the first encounter

## Extra Notes

- [Butler](https://itch.io/docs/butler/)
